# Homogenizers API

::: tensyl.homogenizers
    options:
      show_source: false
      members:
        - HomogenizationFailure
        - HomogenizationInputError
        - HomogenizationNumericalError
        - ValidityContext
        - ValidityThresholds
        - ValidityReport
        - HomogenizationResult
        - Homogenizer
        - EnergyHomogenizer
        - DirectECHomogenizer
        - validity_report_for_stiffness
